Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class RerootEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
              info.bioinfweb.treegraph.document.undo.edit.RerootEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class RerootEdit

extends ComplexDocumentEdit

Field Summary
`static int` | `DIALOG_HELP_TOPIC`
`private Branch` | `rootingPoint`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`RerootEdit(Document document, Branch rootingPoint)`

Method Summary
`private void` | `copyBranchData(Branch source, Branch target)`
`java.lang.String` | `getPresentationName()`
`private void` | `moveLabelBlock(Labels source, Labels target, boolean above)`
`protected void` | `performRedo()`
`private void` | `reroot(Branch position)`
`private void` | `showWarnings()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
`findEquivilant, findEquivilant, redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALOG_HELP_TOPIC

    public static final int DIALOG_HELP_TOPIC

See Also:
  Constant Field Values

### rootingPoint

    private Branch rootingPoint

Constructor Detail

### RerootEdit

    public RerootEdit(Document document,
                      Branch rootingPoint)

Method Detail

### moveLabelBlock

    private void moveLabelBlock(Labels source,
                                Labels target,
                                boolean above)

### copyBranchData

    private void copyBranchData(Branch source,
                                Branch target)

### showWarnings

    private void showWarnings()

### reroot

    private void reroot(Branch position)

### performRedo

    protected void performRedo()

  Specified by:
    `performRedo` in class `ComplexDocumentEdit`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD